
QGIS Application - Bug report #21928

editing in spatial oracle

2019-04-25 08:44 AM - rawan gis

Status: Open

Priority: High

Assignee:

Category: Data Provider/Oracle

Affected QGIS version:3.6.2 Regression?: Yes

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29743

Description

Hi

I have a layer stored in spatial oracle database, the layer has ESRI Auto-Incrementing ObjectID Field , in all QGIS 3 version this field was

not generated automatically and it is need to be assigned manually.kindly see the attached file which shows a case for this bug

regards

History

#1 - 2019-04-25 11:24 AM - rawan gis

rawan gis wrote:

Hi

I have a layer stored in spatial oracle database, the layer has ESRI Auto-Incrementing ObjectID Field , in all QGIS 3 version the value of this field

was not generated automatically and it  needs to be assigned manually to complete the editing of any new added feature.kindly see the attached

image which shows a case for this bug

regards

#2 - 2019-05-01 06:16 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Category changed from Editing to Data Provider/Oracle

rawan gis wrote:

Hi

I have a layer stored in spatial oracle database, the layer has ESRI Auto-Incrementing ObjectID Field , in all QGIS 3 version this field was not

generated automatically and it is need to be assigned manually.kindly see the attached file which shows a case for this bug

meaning this was working as expected in QGIS 2.*?

#3 - 2019-05-02 07:39 AM - rawan gis

- Assignee set to Giovanni Manghi

yes it was working as expected in QGIS2.x
#4 - 2019-05-02 10:05 AM - Giovanni Manghi

- Regression? changed from No to Yes

- Status changed from Feedback to Open

- Assignee deleted (Giovanni Manghi)

Files

oracleediting.jpg 230 KB 2019-04-25 rawan gis
